Axis2/C: flow container

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# flow container
[description]

## Files
file | axis2_flow_container.h
## Typedefs
typedef struct axis2_flow_container | axis2_flow_container_t
## Functions
AXIS2_EXTERN void | axis2_flow_container_free (axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_flow_t * | axis2_flow_container_get_in_flow (const axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_flow_container_set_in_flow (axis2_flow_container_t *flow_container, const axutil_env_t *env, axis2_flow_t *in_flow)
AXIS2_EXTERN axis2_flow_t * | axis2_flow_container_get_out_flow (const axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_flow_container_set_out_flow (axis2_flow_container_t *flow_container, const axutil_env_t *env, axis2_flow_t *out_flow)
AXIS2_EXTERN axis2_flow_t * | axis2_flow_container_get_fault_in_flow (const axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_flow_container_set_fault_in_flow (axis2_flow_container_t *flow_container, const axutil_env_t *env, axis2_flow_t *falut_in_flow)
AXIS2_EXTERN axis2_flow_t * | axis2_flow_container_get_fault_out_flow (const axis2_flow_container_t *flow_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_flow_container_set_fault_out_flow (axis2_flow_container_t *flow_container, const axutil_env_t *env, axis2_flow_t *fault_out_flow)
AXIS2_EXTERN axis2_flow_container_t * | axis2_flow_container_create (const axutil_env_t *env)

## Detailed Description

Flow container is the encapsulating struct for all the four flows. The four flows possible are in flow, out flow, in fault flow and out fault flow.

## Typedef Documentation

typedef struct axis2_flow_container axis2_flow_container_t

Type name for struct axis2_flow_container

## Function Documentation

AXIS2_EXTERN axis2_flow_container_t* axis2_flow_container_create | ( | const axutil_env_t * | env | ) |

Creates flow container struct.

Parameters:

  | env | pointer to environment struct

Returns:
  pointer to newly created flow container

AXIS2_EXTERN void axis2_flow_container_free | ( | axis2_flow_container_t * | flow_container,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees flow container.

Parameters:

  | flow_container | pointer to flow container
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN axis2_flow_t* axis2_flow_container_get_fault_in_flow | ( | const axis2_flow_container_t * | flow_container,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets fault in flow.

Parameters:

  | flow_container | pointer to flow container
  | env | pointer to environment struct

Returns:
  fault in flow, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_flow_t* axis2_flow_container_get_fault_out_flow | ( | const axis2_flow_container_t * | flow_container,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets fault out flow.

Parameters:

  | flow_container | pointer to flow container
  | env | pointer to environment struct

Returns:
  fault out flow, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_flow_t* axis2_flow_container_get_in_flow | ( | const axis2_flow_container_t * | flow_container,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets in flow.

Parameters:

  | flow_container | pointer to flow container
  | env | pointer to environment struct

Returns:
  pointer to in flow, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_flow_t* axis2_flow_container_get_out_flow | ( | const axis2_flow_container_t * | flow_container,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets out flow.

Parameters:

  | flow_container | pointer to flow container
  | env | pointer to environment struct

Returns:
  out flow, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_status_t axis2_flow_container_set_fault_in_flow | ( | axis2_flow_container_t * | flow_container,
|  | const axutil_env_t * | env,
|  | axis2_flow_t * | falut_in_flow |
| ) |  |  |

Sets fault in flow.

Parameters:

  | flow_container | pointer to flow container
  | env | pointer to environment struct
  | falut_in_flow | pointer to falut in flow, flow container assumes ownership of struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_flow_container_set_fault_out_flow | ( | axis2_flow_container_t * | flow_container,
|  | const axutil_env_t * | env,
|  | axis2_flow_t * | fault_out_flow |
| ) |  |  |

Sets fault out flow.

Parameters:

  | flow_container | pointer to flow container
  | env | pointer to environment struct
  | fault_out_flow | pointer to fault out flow, flow container assumes ownership of struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_flow_container_set_in_flow | ( | axis2_flow_container_t * | flow_container,
|  | const axutil_env_t * | env,
|  | axis2_flow_t * | in_flow |
| ) |  |  |

Sets in flow.

Parameters:

  | flow_container | pointer to flow container
  | env | pointer to environment struct
  | in_flow | pointer to in flow struct, flow container assumes ownership of struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_flow_container_set_out_flow | ( | axis2_flow_container_t * | flow_container,
|  | const axutil_env_t * | env,
|  | axis2_flow_t * | out_flow |
| ) |  |  |

Sets out flow.

Parameters:

  | flow_container | pointer to flow container
  | env | pointer to environment struct
  | out_flow | pointer to out flow, flow container assumes ownership of struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE